Skip to main content

Activate tunnel

POST
/tunnels/{id}/activate

Contract

Parameter
Value
Sectiontunnels
AuthenticationCookieAuth
Consumesapplication/json
Producesapplication/json

Parameters

2 parameters

Name
Location
Required
Type
Description
idpathyesintegerTunnel ID
requestbodyyesobjectActivation data: {agentId (required), serverAgentId (0 = single-agent mode)}
  • {}

Responses

5 responses

Status
Description
Type
200
Activation result: {status, tunnelId}object
400
Invalid tunnel ID or request body, missing agentId, or identical client and server agentsobject
401
Unauthorizedobject
404
Record not foundobject
500
Failed to update recordobject
  • {}
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }